Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.metadata
Class PortletMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.metadata.DescribableObjectMetaData
          org.jboss.portal.portlet.impl.jsr168.metadata.PortletMetaData

    public class PortletMetaData

extends DescribableObjectMetaData

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PortletMetaData()`

Method Summary
`CacheConfigMetaData` | `getCacheConfig()`
`java.lang.String` | `getClassName()`
`ContentTypesMetaData` | `getContentTypes()`
`LocalizedStringMetaData` | `getDisplayName()`
`LanguagesMetaData` | `getLanguages()`
`java.lang.String` | `getName()`
`java.util.Map` | `getParameters()`
`PortletPreferencesMetaData` | `getPreferences()`
`java.util.List` | `getSecurityRoleRefs()`
`SessionConfigMetaData` | `getSessionConfig()`
`TransportGuaranteesMetaData` | `getTransportGuarantees()`
`void` | `setCacheConfig(CacheConfigMetaData cacheConfig)`
`void` | `setClassName(java.lang.String className)`
`void` | `setContentTypes(ContentTypesMetaData contentTypes)`
`void` | `setLanguages(LanguagesMetaData languages)`
`void` | `setName(java.lang.String name)`
`void` | `setSessionConfig(SessionConfigMetaData sessionConfig)`
`void` | `setTransportGuarantees(TransportGuaranteesMetaData transportGuarantees)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.metadata.DescribableObjectMetaData
`getDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletMetaData

    public PortletMetaData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getContentTypes

    public ContentTypesMetaData getContentTypes()

### setContentTypes

    public void setContentTypes(ContentTypesMetaData contentTypes)

### getLanguages

    public LanguagesMetaData getLanguages()

### setLanguages

    public void setLanguages(LanguagesMetaData languages)

### getParameters

    public java.util.Map getParameters()

### getDisplayName

    public LocalizedStringMetaData getDisplayName()

### getSecurityRoleRefs

    public java.util.List getSecurityRoleRefs()

### getCacheConfig

    public CacheConfigMetaData getCacheConfig()

### setCacheConfig

    public void setCacheConfig(CacheConfigMetaData cacheConfig)

### getTransportGuarantees

    public TransportGuaranteesMetaData getTransportGuarantees()

### setTransportGuarantees

    public void setTransportGuarantees(TransportGuaranteesMetaData transportGuarantees)

### getSessionConfig

    public SessionConfigMetaData getSessionConfig()

### setSessionConfig

    public void setSessionConfig(SessionConfigMetaData sessionConfig)

### getPreferences

    public PortletPreferencesMetaData getPreferences()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD